@echo off

@rem save current directory
@set OLDDIR=%CD%

call %~dp0\..\vss_env_sqahp.cmd

svn up %VSS_ROOT%

net stop Apache2.4
net start Apache2.4

call %~dp0\cleancompile.bat

taskkill -im java.exe /F
taskkill -im java.exe /F
TIMEOUT /T 10
call %~dp0\..\deploy.bat

start-job -filepath d:\src\VSS\trunk\build\scripts\startserver.ps1

@rem restore current directory
chdir /D %OLDDIR%

echo Deployment complete.